Обновление со стабильного репозитария

Аватар пользователя sergeil

Я почему-то думал, что [updates] - это стабильный репозитарий, где пакеты оттестированы во взаимодействии. Да..., статус [updates] в моих глазах сильно понизился. Если не сказать больше...
:-o

[root@homedesk ~]# yum list updates
Setting up repositories
base                      100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
Reading repository metadata in from local files
Updated Packages
module-init-tools.i386              3.2-0.pre9.0.FC4.1     updates-released
udev.i386                                071-0.FC4.3            updates-released

[root@homedesk ~]# yum update
...

Error: Unable to satisfy dependencies


Error: Package udev needs module-init-tools < 0:3.2-0.pre9.0.FC4.2, this is not available.

Аватар пользователя woodoo

Re: Обновление со стабильного репозитария

Цитата:
sergeil пишет:
Я почему-то думал, что [updates] - это стабильный репозитарий, где пакеты оттестированы во взаимодействии. Да..., статус [updates] в моих глазах сильно понизился. Если не сказать больше...
:-o

Да, в данном случае "подводит" epoch.
Аналогично - scribus.

# yum update scribus
Setting up Update Process
Setting up repositories
...
--> Finished Dependency Resolution
Error: Missing Dependency: python-imaging is needed by package scribus
# yum list python-imaging
Setting up repositories
...
Reading repository metadata in from local files
#

Думаю, что это результат больших объемов нынешней текущей работы. Впрочем, такие подобные ошибки встречались и раньше - просто довольно быстро фиксятся.
А вот куда "стучаться" по поводу этих ошибок? В багзиллу - слишком мелко, в рассылку - неэффективно (по определению), на форумах - аналогично.

Аватар пользователя rjaan

Re: Обновление со стабильного репозитария

woodoo писал(а):
sergeil пишет:
Я почему-то думал, что [updates] - это стабильный репозитарий, где пакеты оттестированы во взаимодействии. Да..., статус [updates] в моих глазах сильно понизился. Если не сказать больше...
:-o

Да, в данном случае "подводит" epoch.
Аналогично - scribus.

Да у 10-ки это стало одной из основных проблем на v9.2 c этим было куда лучше и ошибок практически не было за редким исключением приходится постоянно производить те или иные откаты назад с потерей большой времени, которая требует на восстановление всех взаимозависимостей пакетов. Еще что выявилось, что при update v10 она выдает кучу не удовлетворенных зависимостей, которые приходится по штучно доустанавливать, что начинающим пользователям, на мой взгляд, достаточно трудно или их иногда заводит в тупик. Поэтому вся ценность обновлений для них на v10 практически сведена к нулю.
Потом мне интересно что и кто может сказать про ветку 10.1 в updates, почему и чем она связана своим появлением.

Аватар пользователя Radik

Re: Обновление со стабильного репозитария

woodoo писал(а):
А вот куда "стучаться" по поводу этих ошибок? В багзиллу - слишком мелко, в рассылку - неэффективно (по определению), на форумах - аналогично.

Наверное наиболее эффективно будет постучаться в info@ или sypport@...

rjaan писал(а):
Потом мне интересно что и кто может сказать про ветку 10.1 в updates, почему и чем она связана своим появлением.

Рискну предположить, что она связана появлению апдейтов на дисках для десятки. Получается что v.10 + updates (на дисках) = v.10.1.
Скоро (во всяком случае Виолетта написала что будут) выйдет еще обновление десятки, подозреваю что получим новую версию - v.10.2

Аватар пользователя sergeil

Re: Обновление со стабильного репозитария

rrraD писал(а):
v.10 + updates (на дисках) = v.10.1. ... v.10.2

Ребята, читайте внимательно. Это касается ASPLinux-11. Проводилось обновление ASPLinux-11(betta), которая была установлена на чистый винт, до релиза. Конфликт вызвали пакеты в [updates] 11-ки , а не на дистрибутивных дисках. При отключенном репозитарии [updates] все прошло нормально.

Аватар пользователя woodoo

Re: Обновление со стабильного репозитария

Цитата:
sergeil пишет:
rrraD,
При отключенном репозитарии [updates] все прошло нормально.

Уже поправили, кстати. Только что "дообновился".
Касательно репозитория updates 10.1. Сидя на 10-ке, для пробы подключил этот репо. Некоторые пакеты обновились, но почти сразу выяснил, что есть разница в номенклатуре пакетов 10 и 10.1 (ASPLInux Server IV).
Поэтому использовать 10.1 для пользователей 10 крайне не рекомендую.

Аватар пользователя Archont

Re: Обновление со стабильного репозитария

А я всегда (точнее - давно) считал и считаю, что yum - довольно неудобный, а порой и весьма опасный, костыль.
То, что мне нужно, я или найду на неофициальных сайтах (существенно более новое, нежели на официальных, т.к. там на меня уже давно плюнули), или сам соберу.

Аватар пользователя Tigro

Re: Обновление со стабильного репозитария

sergeil писал(а):
module-init-tools.i386 3.2-0.pre9.0.FC4.1 updates-released
udev.i386 071-0.FC4.3 updates-released

[root@homedesk ~]# yum update
...

Error: Unable to satisfy dependencies

Error: Package udev needs module-init-tools < 0:3.2-0.pre9.0.FC4.2, this is not available.

Я вот только противоречия в этих словах не нахожу Улыбка

Аватар пользователя lkanter

Re: Обновление со стабильного репозитария

rjaan писал(а):
Потом мне интересно что и кто может сказать про ветку 10.1 в updates, почему и чем она связана своим появлением.

10.1 - это Сервер4, основанный на RHEL4. Никакого отношения к 10 и 11 не имеет.

Аватар пользователя sergeil

Re: Обновление со стабильного репозитария

Tigro писал(а):
Я вот только противоречия в этих словах не нахожу

[updates] - это стабильный, если не сказать, консервативный, репозитарий, из которого можна обновляться с уверенностью в завтрашнем дне. Для энтузиастов есть масса других. В стабильном репозитарии не должно быть конфликтующих пакетов.

Аватар пользователя sergeil

Re: Обновление со стабильного репозитария

Archont писал(а):
А я всегда (точнее - давно) считал и считаю, что yum - довольно неудобный, а порой и весьма опасный, костыль.

Yum достаточно функционален. Он безопаснее и надежнее, чем RPM. Более того, поскольку Yum принят в качестве основного средства обновления в дистрибутиве, то он и наиболее соответствует требованиям дистрибутива.

Аватар пользователя Radik

Re: Обновление со стабильного репозитария

lkanter писал(а):
10.1 - это Сервер4, основанный на RHEL4. Никакого отношения к 10 и 11 не имеет.

:oops: Простите меня

Аватар пользователя Tigro

Re: Обновление со стабильного репозитария

Просто посмотри, версии как раз нормальные. А проблем не должно быть во всех репозиториях...

Аватар пользователя sergeil

Re: Обновление со стабильного репозитария

Цитата:
Tigro пишет:
Просто посмотри, версии как раз нормальные. А проблем не должно быть во всех репозиториях...

Да я-то посмотрю... В крайнем случае обновлюсь выборочно. А что будут начинающие делать? Правильно, парализуют support.

RSS-материал